{% extends 'base.html.twig' %}
{% block header_title %}Base travail orateur{% endblock %}
{% block header_subtitle %}{{ wishlist.publisher.fullName }}{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Base de travail - {{ wishlist.publisher.fullName }}</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_meeting_weekend_wishlist_edit', {'id' : wishlist.id}) }}" method="post" id="createWishlistForm">
                    <div class="row">
                        <div class="col-sm-6 mt-2">
                            <div class="form-group">
                                {{ form_label(form.speeches) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.speeches) }}
                                    {{ form_errors(form.speeches) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                        <button id="createNext" class="btn btn-primary" type="submit"><em class="icon ni ni-property-add me-1"></em> Enregistrer et ajouter une nouvelle liste</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
{% block javascripts %}
    <script>
        const $buttonCreateNext = document.getElementById("createNext");
        const $form = document.getElementById("createWishlistForm");
        $buttonCreateNext.addEventListener('click', function () {
            $form.action = $form.action + '?createNext=true';
        })
    </script>
{% endblock %}
